<?php


class SupportscreencastparamsMapper extends Application_Model_Mappers_Abstract {

	protected $_dbTable = 'SupportscreencastparamsDbtable';

	protected $_model   = 'SupportscreencastparamsModel';

	public function save($credo) {
		if(!$credo instanceof $this->_model) {
			throw new Exceptions_SeotoasterException('Given parameter should be ' . $this->_model . ' instance');
		}
		$data = array(
			
            
            'comments'     => $credo->getComments(),
            'subject'      => $credo->getSubject(),
            'skofferid'    => $credo->getSkofferid()
            
			
		);
       
			$this->getDbTable()->insert($data);
				
	}
    public function selectComments($skofferid) {
		$properties    = $this->fetchAll('skofferid = "'.$skofferid.'"');
		return $properties[0]->getComments();
    }
    public function selectSubject($skofferid) {
		$properties    = $this->fetchAll('skofferid = "'.$skofferid.'"');
		return $properties[0]->getSubject();
    }
    public function deleteRecord($skofferid) {
		$where = $this->getDbTable()->getAdapter()->quoteInto("skofferid=?", $skofferid);
		$this->getDbTable()->delete($where);
	}
}

